## pcb 1.7.1

=== doc/Makefile ===
# Makefile generated by imake - do not edit!
# $TOG: imake.c /main/97 1997/06/20 20:23:51 kaleb $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $TOG: Imake.tmpl /main/245 1997/05/20 10:05:47 kaleb $
#

all::

.SUFFIXES: .i

# $TOG: Imake.cf /main/28 1997/06/25 08:31:36 barstow $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux-pmac.cf to change

# $XConsortium: lnxLib.rules /main/13 1996/09/28 16:11:01 rws $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $TOG: Imake.rules /main/220 1997/06/05 18:05:16 kaleb $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = /bin/sh

              TOP = ..
      CURRENT_DIR = doc

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdir -p
    EXPORTLISTGEN =
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cc

              CXX = g++
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -O2
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -DPPC -D__powerpc__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -DX_LOCALE $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = byacc
           CCYACC = byacc
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -DPPC -D__powerpc__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -DX_LOCALE $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -DPPC -D__powerpc__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -DX_LOCALE $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS = -Wl,-rpath,$(USRLIBDIRPATH)
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -s -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -s -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -O2
        CCOPTIONS = -fsigned-char

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = linux-pmac.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			 $(EXTRA_ICONFIGFILES)

# $TOG: X11.rules /main/4 1997/04/30 15:23:24 kaleb $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $TOG: X11.tmpl /main/292 1997/05/20 10:05:59 kaleb $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
   TOP_X_INCLUDES = -I$(XPROJECTROOT)/include

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(XTOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(XTOP)/lib
          FONTSRC = $(XTOP)/fonts
       INCLUDESRC = $(BUILDINCROOT)/include
      XINCLUDESRC = $(INCLUDESRC)/X11
        SERVERSRC = $(XTOP)/programs/Xserver
       CONTRIBSRC = $(XTOP)/../contrib
   UNSUPPORTEDSRC = $(XTOP)/unsupported
           DOCSRC = $(XTOP)/doc
           RGBSRC = $(XTOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(XTOP)/include/fonts
        EXTINCSRC = $(XTOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

   CLIENTENVSETUP =

# $XConsortium: lnxLib.tmpl,v 1.5 95/01/11 21:44:44 kaleb Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.1
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 6.3
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

         XPLIBSRC = $(LIBSRC)/Xp

SOXPREV = 6.2
DEPXPLIB =
XPLIB =  -lXp

LINTXP = $(LINTLIBDIR)/llib-lXp.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       XALIBSRC = $(LIBSRC)/Xa

SOXAREV = 1.0
DEPXALIB =
XALIB =  -lXa

LINTXA = $(LINTLIBDIR)/llib-lXa.ln

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.1
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 6.0
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 6.1
DEPXTESTLIB =
XTESTLIB =  -lXtst

LINTXTEST = $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

SOPEXREV = 6.0
DEPPEXLIB =
PEXLIB =  -lPEX5

LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

SOXIEREV = 6.0
DEPXIELIB =
XIELIB =  -lXIE

LINTXIE = $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
PHIGSLIB =  -lphigs

LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
XBSDLIB =  -lXbsd

LINTXBSD = $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

SOICEREV = 6.3
DEPICELIB =
ICELIB =  -lICE

LINTICE = $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

SOSMREV = 6.0
DEPSMLIB =
SMLIB =  -lSM

LINTSM = $(LINTLIBDIR)/llib-lSM.ln

           XKEYSRC = $(LIBSRC)/Xkey

SOXKEYREV = 6.0
DEPXKEYLIB =
XKEYLIB =  -lXkey

LINTXKEY = $(LINTLIBDIR)/llib-lXkey.ln

         FSLIBSRC = $(LIBSRC)/FS

DEPFSLIB = $(USRLIBDIR)/libFS.a
FSLIB =  -lFS

LINTFS = $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

DEPFONTLIB = $(USRLIBDIR)/libfont.a
FONTLIB =  -lfont

LINTFONT = $(LINTLIBDIR)/llib-lfont.ln

    XKBFILELIBSRC = $(LIBSRC)/xkbfile

DEPXKBFILELIB = $(USRLIBDIR)/libxkbfile.a
XKBFILELIB =  -lxkbfile

LINTXKBFILE = $(LINTLIBDIR)/llib-lxkbfile.ln

     XKBCOMPCMD = xkbcomp

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)
         DEPLIBS4 = $(DEPLIBS)
         DEPLIBS5 = $(DEPLIBS)
         DEPLIBS6 = $(DEPLIBS)
         DEPLIBS7 = $(DEPLIBS)
         DEPLIBS8 = $(DEPLIBS)
         DEPLIBS9 = $(DEPLIBS)
         DEPLIBS10 = $(DEPLIBS)

XMULIBONLY = -lXmu
XMULIB = $(XMULIBONLY) $(XTOOLLIB) $(XLIB)

        CONFIGDIR = $(LIBDIR)/config

    USRLIBDIRPATH = $(USRLIBDIR)
        LDPRELIBS = -L$(USRLIBDIR)
       LDPOSTLIBS =
     TOP_INCLUDES = -I$(INCROOT) $(TOP_X_INCLUDES)
  PROJECT_DEFINES =

CXXPROJECT_DEFINES =

# ----------------------------------------------------------------------
# start of Imakefile

INFODIR = /usr/info

## pcb 4.0.2

=== debian/changelog ===
pcb (1:4.0.2-4) unstable; urgency=medium

  * debian/watch:
    + Remove non-working URL
    + debian/watch: limit search pattern to upstream new versioning scheme

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 11 Oct 2017 04:52:06 +0200

pcb (1:4.0.2-3) unstable; urgency=medium

  * Add -ffloat-store to CFLAGS for *-i386 builds
  * fix_typos.diff: fix  further spelling errors
  * Fix spelling error in an old changelog entry

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 03 Oct 2017 03:43:25 +0200

pcb (1:4.0.2-2) unstable; urgency=medium

  * Add rm_mimelnk.diff patch to remove deprecated
  * mimelnk files (Closes: #875526)
  * Add -ffloat-store to CFLAGS for i386 builds.
    Thanks to Adrian Bunk <bunk@debian.org>
    (Closes: #876641)
  * Update Standards-Version to 4.1.1
  * Re-add myself to uploaders
  * Change Vcs-* fields to secure URLs
  * Update my email address
  * Update copyright years
  * Fix spelling errors
  * Add fix_typos.diff patch to fix upstream
    spelling errors
  * Removed unused lintian overrides
  * Bump to compat level 10
    + Remove autotools-dev sequence
    + Disable autoreconf as it fails the build
    + Link package documentation using pcb*.links,
      since dh_installdocs --linkdoc between
      different arch. packages is not supported in
      compat level 10

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 01 Oct 2017 15:01:48 +0200

pcb (1:4.0.2-1) unstable; urgency=medium

  * new upstream release, using epoch to handle return to simple version
    numbers, closes: #874414
  * clean out Uploaders, closes: #759991, #831485, #859281 

 -- Bdale Garbee <bdale@gag.com>  Wed, 06 Sep 2017 08:35:44 -0600

pcb (20140316-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * debian/rules update to be able to make arch-indep-only builds and
    arch-dependent-only builds. Closes: #806092

 -- Dima Kogan <dkogan@debian.org>  Sun, 25 Dec 2016 14:56:02 -0800

pcb (20140316-3) unstable; urgency=medium

  * (Build-)Depend on unversioned tcl/tk

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 27 Aug 2014 16:01:10 +0300

pcb (20140316-2) unstable; urgency=medium

  * Revert disable_hid_png3_test.diff patch.
  * Added hid_png.diff patch from upstream which fixes hid_png3 test.
    The test will remain disabled though, as the change to the output png
    cannot be represented in the diff (Closes: #754760)
  * Build with autotools-dev
  * Removed outdated_config.diff patch.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 27 Aug 2014 15:18:49 +0300

pcb (20140316-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 17 Mar 2014 09:02:13 -0600

pcb (20110918-9) unstable; urgency=low

  * Build-Dep on libmotif-dev instead of lesstif2-dev (Closes: #714681)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 02 Jul 2013 07:43:29 +0200

pcb (20110918-8) unstable; urgency=low

  * debian/control:
    + Drop libgd2-xpm-dev from Build-Deps
    + Bumped Standards-Version to 3.9.4
    + Update Build-Depends from libgd2-dev to libgd-dev
    + Use canonical URIs in VCS-* fields.
    + Remove obsolete DMUA field.
  * debian/copyright: Updated copyright years.
  * debian/*.menu: Use absolute path for icon in menu files.
  * debian/pcb-{gtk,lesstif}.lintian-overrides: Removed unused overrides for
    menu-icon-missing

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 28 Jun 2013 00:48:31 +0200

pcb (20110918-7) unstable; urgency=low

  * Force 64-bit coordinate types (even on 32-bit archs)
    Thanks to Keith Packard <keithp@debian.org> (Closes: #683980)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 06 Aug 2012 11:11:20 +0200

pcb (20110918-6) unstable; urgency=low

  * Imported patch from Ubuntu and forwarded it upstream:
    debian/patches/drop_check_global_included.patch:
    Drop the #if check for the declaration of hid_get_extents().
  * Added fix_CPPFLAGS.diff patch to Append input CPPFLAGS for lesstif target

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 23 May 2012 13:14:33 +0200

pcb (20110918-5) unstable; urgency=low

  * Added 0001-Fixed-command-line-batch-output-for-some-exporters.patch from
    upstream git to fix command line batch output for some exporters.
    Thanks to Traumflug <mah@jump-ing.de> (LP: #988503)
  * Bumped compat level to 9
  * debian/control: Updated Standards-Version to 3.9.3
  * debian/copyright: Updated copyright format & years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 08 May 2012 21:30:17 +0200

pcb (20110918-4) unstable; urgency=low

  * Close 644139 in previous changelog entry
  * Added disable_hid_png3_test.diff to disable hid_png3 test
    (Closes: #642923)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 20 Dec 2011 20:45:37 +0200

pcb (20110918-3) unstable; urgency=low

  * debian/rules: Remove needlessly installed header file. (Closes: #644139)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 03 Oct 2011 21:40:56 +0200

pcb (20110918-2) unstable; urgency=low

  * Added default_GtkFileChooser_cwd.diff patch to default the GTK file
    chooser dialogs to cwd (Closes: #642060)
  * debian/control: Remove ${shlib:Depends} from pcb-common's dependencies.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 21 Sep 2011 17:12:08 +0200

pcb (20110918-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Added URL for gEDA website
  * debian/control:
    + Bumped Standards-Version to 3.9.2
    + Replaced Build-Dep on libgtk2.0-dev & libglib2.0-dev with
      libgtkglext1-dev
  * Bumped compat level 8
  * debian/copyright:
    + Updated copyright years
    + Updated copyright format
  * debian/rules:
    + Remove needlessly installed static library before installing common


=== debian/control ===
Source: pcb
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>,
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 10), bison, flex, libgtkglext1-dev, tk, libgd-dev, libdbus-1-dev, libmotif-dev, libxmu-dev, libxml-parser-perl, intltool, imagemagick, gerbv, ghostscript
Standards-Version: 4.1.1
Homepage: http://pcb.geda-project.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-electronics/pcb.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-electronics/pcb.git

Package: pcb
Architecture: all
Depends: ${misc:Depends}, pcb-gtk | pcb-lesstif, pcb-common
Description: printed circuit board (pcb) design program - metapackage
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.

Package: pcb-common
Architecture: all
Replaces: pcb
Depends: ${misc:Depends}, m4, tk | wish, tcl | tclsh, pcb-gtk | pcb-lesstif
Recommends: extra-xdg-menus
Description: printed circuit board (pcb) design program - common files
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.
 .
 This package contains the common files.

Package: pcb-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-common
Description: printed circuit board (pcb) design program - GTK+ interface
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.
 .
 This package contains the GTK+ user-interface for pcb.

Package: pcb-lesstif
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-common
Description: printed circuit board (pcb) design program - LessTif interface
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.
 .
 This package contains the LessTif user-interface for pcb.

=== debian/rules ===
#!/usr/bin/make -f
#                                          -*- makefile -*-
# debian/rules file for the Debian/GNU Linux pcb package
# Copyright 1997-99 by Hartmut Koptein <koptein@debian.org>

package = pcb
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq (i386,$(findstring i386,$(DEB_HOST_ARCH)))
  export DEB_CFLAGS_MAINT_APPEND=-ffloat-store
endif

CONFIGURE_OPTS=--disable-rpath --enable-dbus --disable-update-desktop-database --disable-update-mime-database --enable-dependency-tracking --enable-coord64 LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

%:
	dh $@

# Disable autoreconf as it fails the build:
override_dh_autoreconf:

# I configure build-gtk unconditionally (arch-dependent and arch-independent)
# because I need a single configure invocation in both cases
override_dh_auto_configure:
	dh_auto_configure    --builddirectory build_gtk -- $(CONFIGURE_OPTS) --with-gui=gtk
	dh_auto_configure -a --builddirectory build_lesstif -- $(CONFIGURE_OPTS) --with-gui=lesstif

override_dh_auto_build:
	dh_auto_build -a --builddirectory build_gtk
	dh_auto_build -a --builddirectory build_lesstif

override_dh_auto_test:
	dh_auto_test -a --builddirectory build_gtk
	dh_auto_test -a --builddirectory build_lesstif

override_dh_auto_install-arch:
	make -C build_gtk install-exec DESTDIR=$$PWD/debian/tmp AM_UPDATE_INFO_DIR=no

override_dh_auto_install-indep:
	make -C build_gtk install-data DESTDIR=$$PWD/debian/tmp AM_UPDATE_INFO_DIR=no

override_dh_auto_clean:
	dh_auto_clean --builddirectory build_gtk
	dh_auto_clean --builddirectory build_lesstif

override_dh_install-arch:
	# Remove needlessly installed static library and header file before
	# installing common files:
	rm -rf $(CURDIR)/debian/tmp/usr/lib
	rm -rf $(CURDIR)/debian/tmp/usr/include
	dh_install -Xusr/bin -Xusr/share/pcb- -Xusr/share/doc -Xexamples -Xtutorial -Xusr/share/info

	# Install pcb-gtk binary:
	install build_gtk/src/pcb debian/$(package)-gtk/usr/bin/pcb-gtk

	# Install pcb-lesstif binary:
	install build_lesstif/src/pcb debian/$(package)-lesstif/usr/bin/pcb-lesstif

override_dh_install-indep:
	# Remove needlessly installed static library and header file before
	# installing common files:
	rm -rf $(CURDIR)/debian/tmp/usr/lib
	rm -rf $(CURDIR)/debian/tmp/usr/include
	dh_install -Xusr/bin -Xusr/share/pcb- -Xusr/share/doc -Xexamples -Xtutorial -Xusr/share/info

	# Set executable bit for pcb tools:
	[ ! -d debian/$(package)-common ] || chmod a+x debian/$(package)-common/usr/share/pcb/tools/MergePCBPS
	[ ! -d debian/$(package)-common ] || chmod a+x debian/$(package)-common/usr/share/pcb/tools/Merge_dimPCBPS
	[ ! -d debian/$(package)-common ] || chmod a+x debian/$(package)-common/usr/share/pcb/tools/tgo2pcb.tcl
	[ ! -d debian/$(package)-common ] || chmod a+x debian/$(package)-common/usr/share/pcb/tools/PCB2HPGL
	[ ! -d debian/$(package)-common ] || chmod a+x debian/$(package)-common/usr/share/pcb/tools/pcbdiff

	# Remove empty dirs:
	[ ! -d debian/$(package)-common ] || find debian/$(package)-common -type d -empty -delete

override_dh_fixperms-indep:
	dh_fixperms
	# Fix permissions of a couple of example files:
	[ ! -d debian/$(package)-common ] || chmod -x debian/$(package)-common/usr/share/doc/$(package)-common/examples/LED.pcb
	[ ! -d debian/$(package)-common ] || chmod -x debian/$(package)-common/usr/share/doc/$(package)-common/examples/LED.net

override_dh_installexamples:
	dh_installexamples -XMakefile

override_dh_installchangelogs:
	dh_installchangelogs -p$(package)-common

override_dh_installdocs:
	# Only install docs in $(package)-common:
	dh_installdocs -p$(package)-common

override_dh_compress:
	# exclude example files from compression
	dh_compress -X.pcb -XLED

=== debian/watch ===
version=3
http://sf.net/pcb/pcb-(.*)\.(.*)\.(.*)\.tar\.gz

## pcb 4.1.2

=== debian/changelog ===
pcb (1:4.1.2-1) unstable; urgency=medium

  [ Dima Kogan ]
  * Moved Vcs-... tags to point to salsa

  [ Bdale Garbee ]
  * New upstream version 4.1.2

 -- Bdale Garbee <bdale@gag.com>  Sun, 10 Jun 2018 00:11:09 +0200

## pcb 4.1.3

=== debian/changelog ===
pcb (1:4.1.3-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 24 Nov 2018 13:38:26 -0800

pcb (1:4.1.3-1) unstable; urgency=medium

  * New upstream version 4.1.3

 -- Bdale Garbee <bdale@gag.com>  Thu, 04 Oct 2018 08:30:00 -0600

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,28 @@
 Source: pcb
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>,
             أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 10), bison, flex, libgtkglext1-dev, tk, libgd-dev, libdbus-1-dev, libmotif-dev, libxmu-dev, libxml-parser-perl, intltool, imagemagick, gerbv, ghostscript
+Build-Depends: debhelper (>= 10),
+               bison,
+               flex,
+               libgtkglext1-dev,
+               tk,
+               libgd-dev,
+               libdbus-1-dev,
+               libmotif-dev,
+               libxmu-dev,
+               libxml-parser-perl,
+               intltool,
+               imagemagick,
+               gerbv,
+               ghostscript
 Standards-Version: 4.1.1
 Homepage: http://pcb.geda-project.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-electronics/pcb.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-electronics/pcb.git
+Vcs-Git: https://salsa.debian.org/electronics-team/pcb.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/pcb
 
 Package: pcb
 Architecture: all
@@ -61,4 +75,3 @@
  which can tremendously reduce layout time.
  .
  This package contains the LessTif user-interface for pcb.
-

=== debian/rules ===
--- 
+++ 
@@ -91,3 +91,6 @@
 override_dh_compress:
 	# exclude example files from compression
 	dh_compress -X.pcb -XLED
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## pcb 4.2.0

=== debian/changelog ===
pcb (1:4.2.0-2) unstable; urgency=medium

  * disable test suite on i386 due to known upstream issue in test harness

 -- Bdale Garbee <bdale@gag.com>  Sun, 03 Feb 2019 16:01:51 -0700

pcb (1:4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0

 -- Bdale Garbee <bdale@gag.com>  Sat, 02 Feb 2019 15:33:35 -0700

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,10 @@
 Source: pcb
 Section: electronics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>,
             أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 10),
-               bison,
-               flex,
-               libgtkglext1-dev,
-               tk,
-               libgd-dev,
-               libdbus-1-dev,
-               libmotif-dev,
-               libxmu-dev,
-               libxml-parser-perl,
-               intltool,
-               imagemagick,
-               gerbv,
-               ghostscript
+Build-Depends: debhelper (>= 10), bison, flex, libgtkglext1-dev, tk, libgd-dev, libdbus-1-dev, libmotif-dev, libxmu-dev, libxml-parser-perl, intltool, imagemagick, gerbv, ghostscript
 Standards-Version: 4.1.1
 Homepage: http://pcb.geda-project.org/
 Vcs-Git: https://salsa.debian.org/electronics-team/pcb.git
@@ -75,3 +61,4 @@
  which can tremendously reduce layout time.
  .
  This package contains the LessTif user-interface for pcb.
+

=== debian/rules ===
--- 
+++ 
@@ -29,8 +29,10 @@
 	dh_auto_build -a --builddirectory build_lesstif
 
 override_dh_auto_test:
+ifneq (${DEB_BUILD_ARCH},i386)
 	dh_auto_test -a --builddirectory build_gtk
 	dh_auto_test -a --builddirectory build_lesstif
+endif
 
 override_dh_auto_install-arch:
 	make -C build_gtk install-exec DESTDIR=$$PWD/debian/tmp AM_UPDATE_INFO_DIR=no
@@ -91,6 +93,3 @@
 override_dh_compress:
 	# exclude example files from compression
 	dh_compress -X.pcb -XLED
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## pcb 4.2.2

=== debian/changelog ===
pcb (1:4.2.2-1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 18:53:29 -0500

pcb (1:4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2
  * Drop patches, applied upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 22 Jan 2020 09:15:48 +0100

pcb (1:4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * Bumped compat level to 12
  * Update copyright years
  * Set debhelper compat level in build deps
  * Add Rules-Requires-Root=no
  * Update source lintian-overrides location
  * Use secure copyright format URI
  * d/control, d/changelog: remove trailing whitespaces
  * Add typos.diff to fix spelling mistakes
  * Add copyright info for data/appdata.xml*
  * d/rules: set DH_COMPAT=10 during dh_auto_configure

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 06 Jan 2020 16:04:17 +0100

=== debian/control ===
Source: pcb
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>,
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 12), bison, flex, libgtkglext1-dev, tk, libgd-dev, libdbus-1-dev, libmotif-dev, libxmu-dev, libxml-parser-perl, intltool, imagemagick, gerbv, ghostscript
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: http://pcb.geda-project.org/
Vcs-Git: https://salsa.debian.org/electronics-team/pcb.git
Vcs-Browser: https://salsa.debian.org/electronics-team/pcb

Package: pcb
Architecture: all
Depends: ${misc:Depends}, pcb-gtk | pcb-lesstif, pcb-common
Description: printed circuit board (pcb) design program - metapackage
 PCB is an interactive printed circuit board editor for the X11 window
 system. PCB includes a rats nest feature, design rule checking, and can
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data
 (X-Y data) output for use in the board fabrication and assembly process.
 PCB offers high end features such as an autorouter and trace optimizer
 which can tremendously reduce layout time.

Package: pcb-common
Architecture: all
Replaces: pcb
Depends: ${misc:Depends}, m4, tk | wish, tcl | tclsh, pcb-gtk | pcb-lesstif
Recommends: extra-xdg-menus
Description: printed circuit board (pcb) design program - common files
 PCB is an interactive printed circuit board editor for the X11 window
 system. PCB includes a rats nest feature, design rule checking, and can
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data
 (X-Y data) output for use in the board fabrication and assembly process.
 PCB offers high end features such as an autorouter and trace optimizer
 which can tremendously reduce layout time.
 .
 This package contains the common files.

Package: pcb-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-common
Description: printed circuit board (pcb) design program - GTK+ interface
 PCB is an interactive printed circuit board editor for the X11 window
 system. PCB includes a rats nest feature, design rule checking, and can
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data
 (X-Y data) output for use in the board fabrication and assembly process.
 PCB offers high end features such as an autorouter and trace optimizer
 which can tremendously reduce layout time.
 .
 This package contains the GTK+ user-interface for pcb.

Package: pcb-lesstif
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-common
Description: printed circuit board (pcb) design program - LessTif interface
 PCB is an interactive printed circuit board editor for the X11 window
 system. PCB includes a rats nest feature, design rule checking, and can
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data
 (X-Y data) output for use in the board fabrication and assembly process.
 PCB offers high end features such as an autorouter and trace optimizer
 which can tremendously reduce layout time.
 .
 This package contains the LessTif user-interface for pcb.

## pcb 4.3.0

=== debian/changelog ===
pcb (1:4.3.0-4) unstable; urgency=medium

  * Team upload
  * Build without GL support
  * Disable tests on all architectures (Closes: #1081090)

 -- Bastian Germann <bage@debian.org>  Tue, 14 Jan 2025 12:23:08 +0100

pcb (1:4.3.0-3) unstable; urgency=medium

  * Upload to unstable

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 14 Jun 2023 22:23:43 +0200

pcb (1:4.3.0-2) experimental; urgency=medium

  * d/rules: build with --with-gaf-datadir option
  * Add gaf-datadir.diff patch to fix setting of GAF scheme path
  * d/pcb-common.lintian-overrides: add override for false
    package-contains-documentation-outside-usr-share-doc tags

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 17 May 2023 23:25:02 +0200

pcb (1:4.3.0-1) experimental; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream version 4.3.0
  * d/copyright: update copyright years
  * d/control:
    + Bumped debhelper-compat to 13
    + Update to standards-version 4.6.2
  * d/watch: update file standard
  * Remove source lintian-overrides, no more relevant
  * d/pcb-common.lintian-overrides:
    + Update
    + Add override for spare-manual-page
  * d/u/metadata: remove Homepage field

  [ Bdale Garbee ]
  * remove Bdale from uploaders list

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Update changelog for 1:4.3.0-1~2.gbp6cc3df release

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 16 May 2023 01:19:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: electronics
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
-Uploaders: Bdale Garbee <bdale@gag.com>,
-            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 12), bison, flex, libgtkglext1-dev, tk, libgd-dev, libdbus-1-dev, libmotif-dev, libxmu-dev, libxml-parser-perl, intltool, imagemagick, gerbv, ghostscript
-Standards-Version: 4.4.1
+Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper-compat (= 13), bison, flex, libgtk2.0-dev, tk, libgd-dev, libdbus-1-dev, libmotif-dev, libxmu-dev, libxml-parser-perl, intltool, imagemagick, gerbv, ghostscript
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://pcb.geda-project.org/
 Vcs-Git: https://salsa.debian.org/electronics-team/pcb.git

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
   export DEB_CFLAGS_MAINT_APPEND=-ffloat-store
 endif
 
-CONFIGURE_OPTS=--disable-rpath --enable-dbus --disable-update-desktop-database --disable-update-mime-database --enable-dependency-tracking --enable-coord64 LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
+CONFIGURE_OPTS=--disable-rpath --enable-dbus --disable-update-desktop-database --disable-update-mime-database --enable-dependency-tracking --enable-coord64 --with-gaf-datadir=/usr/share/lepton-eda LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 %:
 	dh $@
@@ -21,18 +21,14 @@
 # I configure build-gtk unconditionally (arch-dependent and arch-independent)
 # because I need a single configure invocation in both cases
 override_dh_auto_configure:
-	dh_auto_configure    --builddirectory build_gtk -- $(CONFIGURE_OPTS) --with-gui=gtk
-	dh_auto_configure -a --builddirectory build_lesstif -- $(CONFIGURE_OPTS) --with-gui=lesstif
+	DH_COMPAT=10 dh_auto_configure    --builddirectory build_gtk -- $(CONFIGURE_OPTS) --with-gui=gtk --enable-gl=no
+	DH_COMPAT=10 dh_auto_configure -a --builddirectory build_lesstif -- $(CONFIGURE_OPTS) --with-gui=lesstif
 
 override_dh_auto_build:
 	dh_auto_build -a --builddirectory build_gtk
 	dh_auto_build -a --builddirectory build_lesstif
 
 override_dh_auto_test:
-ifneq (${DEB_BUILD_ARCH},i386)
-	dh_auto_test -a --builddirectory build_gtk
-	dh_auto_test -a --builddirectory build_lesstif
-endif
 
 override_dh_auto_install-arch:
 	make -C build_gtk install-exec DESTDIR=$$PWD/debian/tmp AM_UPDATE_INFO_DIR=no

=== debian/watch ===
version=4
http://sf.net/pcb/pcb-(.*)\.(.*)\.(.*)\.tar\.gz

## pcb 20050609-1ubuntu1

=== debian/changelog ===
pcb (20050609-1ubuntu1) dapper; urgency=low

  * Add desktop file from Vassilis Pandis (Closes Malone: #45191)

 -- Barry deFreese <bddebian@comcast.net>  Sat, 20 May 2006 14:15:54 -0400

=== debian/control ===
Source: pcb
Section: electronics
Priority: optional
Maintainer: Hamish Moffatt <hamish@debian.org>
Build-Depends: debhelper (>= 4), libx11-dev, libsm-dev, libice-dev, libxext-dev, libxt-dev, libxmu-dev, libxpm-dev, xutils, bison, flex, libgtk2.0-dev, libglib2.0-dev, libstroke0-dev, tk8.4
Standards-Version: 3.6.2

Package: pcb
Architecture: any
Depends: ${shlibs:Depends}, m4, tk8.4 | wish, tcl8.4 | tclsh
Description: printed circuit board (pcb) design program
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.

=== debian/rules ===
#!/usr/bin/make -f
#                                          -*- makefile -*-
# debian/rules file for the Debian/GNU Linux pcb package
# Copyright 1997-99 by Hartmut Koptein <koptein@debian.org>

package = pcb

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --disable-rpath
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

binary-indep:	build

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=`pwd`/debian/$(package) install

	cp -a doc/pcb.html/* debian/$(package)/usr/share/doc/$(package)/html/
	mv debian/$(package)/usr/share/pcb/pcb.pdf debian/$(package)/usr/share/doc/$(package)
	mv debian/$(package)/usr/share/pcb/refcard.pdf debian/$(package)/usr/share/doc/$(package)
	rm debian/$(package)/usr/share/pcb/pcb.ps
	rm debian/$(package)/usr/share/pcb/refcard.ps

	mv debian/$(package)/usr/share/pcb/examples debian/$(package)/usr/share/doc/$(package)
	mv debian/$(package)/usr/share/pcb/tutorial debian/$(package)/usr/share/doc/$(package)

	chmod a+x debian/$(package)/usr/share/pcb/tools/MergePCBPS
	chmod a+x debian/$(package)/usr/share/pcb/tools/Merge_dimPCBPS
	chmod a+x debian/$(package)/usr/share/pcb/tools/tgo2pcb.tcl
	chmod a+x debian/$(package)/usr/share/pcb/tools/PCB2HPGL

	dh_installdocs NEWS README_FILES/Whats_new_in_2.0
	cp debian/pcb.xpm debian/$(package)/usr/share/pixmaps

	install -d debian/$(package)/usr/share/applications
	install -m644 debian/pcb.desktop debian/$(package)/usr/share/applications

	dh_installmenu
	dh_installchangelogs ChangeLog

	dh_fixperms
	dh_strip
	# exclude example files from compression
	dh_compress -X.pcb -XLED
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

## pcb 20091103

=== debian/control ===
Source: pcb
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Hamish Moffatt <hamish@debian.org>, Wesley J. Landaker <wjl@icecavern.net>, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 7.4.3~), bison, flex, libgtk2.0-dev, libglib2.0-dev, tk8.5, libgd2-xpm-dev | libgd2-dev, libdbus-1-dev, lesstif2-dev, libxmu-dev, libxml-parser-perl
Standards-Version: 3.8.3
Homepage: http://pcb.gpleda.org/
Vcs-Git: git://git.debian.org/git/pkg-electronics/pcb.git
Vcs-Browser: http://git.debian.org/?p=pkg-electronics/pcb.git

Package: pcb
Architecture: all
Depends: ${misc:Depends}, pcb-gtk | pcb-lesstif, pcb-common
Description: printed circuit board (pcb) design program - meta-package
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.

Package: pcb-common
Architecture: all
Replaces: pcb
Depends: ${misc:Depends}, ${shlibs:Depends}, m4, tk8.5 | wish, tcl8.5 | tclsh, pcb-gtk | pcb-lesstif
Recommends: extra-xdg-menus
Description: printed circuit board (pcb) design program - common files
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.
 .
 This package contains the common files.

Package: pcb-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-common
Description: printed circuit board (pcb) design program - GTK+ interface
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.
 .
 This package contains the GTK+ user-interface for pcb.

Package: pcb-lesstif
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-common
Description: printed circuit board (pcb) design program - LessTif interface
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.
 .
 This package contains the LessTif user-interface for pcb.

=== debian/rules ===
#!/usr/bin/make -f
#                                          -*- makefile -*-
# debian/rules file for the Debian/GNU Linux pcb package
# Copyright 1997-99 by Hartmut Koptein <koptein@debian.org>

package = pcb

CONFIGURE_OPTS=--disable-rpath --enable-dbus --disable-update-desktop-database --disable-update-mime-database --enable-dependency-tracking LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory build_gtk -- $(CONFIGURE_OPTS) --with-gui=gtk
	dh_auto_configure --builddirectory build_lesstif -- $(CONFIGURE_OPTS) --with-gui=lesstif

override_dh_auto_build:
	dh_auto_build --builddirectory build_gtk
	dh_auto_build --builddirectory build_lesstif

override_dh_auto_install:
	dh_auto_install --builddirectory build_gtk

override_dh_auto_clean:
	dh_auto_clean --builddirectory build_gtk
	dh_auto_clean --builddirectory build_lesstif

override_dh_install:
	dh_install -Xusr/bin -Xusr/share/pcb- -Xusr/share/doc -Xexamples -Xtutorial -Xusr/share/info

	# Install pcb-gtk binary:
	install build_gtk/src/pcb debian/$(package)-gtk/usr/bin/pcb-gtk

	# Install pcb-lesstif binary:
	install build_lesstif/src/pcb debian/$(package)-lesstif/usr/bin/pcb-lesstif

	# Set executable bit for pcb tools:
	[ ! -d debian/$(package)-common ] || chmod a+x debian/$(package)-common/usr/share/pcb/tools/MergePCBPS
	[ ! -d debian/$(package)-common ] || chmod a+x debian/$(package)-common/usr/share/pcb/tools/Merge_dimPCBPS
	[ ! -d debian/$(package)-common ] || chmod a+x debian/$(package)-common/usr/share/pcb/tools/tgo2pcb.tcl
	[ ! -d debian/$(package)-common ] || chmod a+x debian/$(package)-common/usr/share/pcb/tools/PCB2HPGL

	# Remove empty dirs:
	[ ! -d debian/$(package)-common ] || find debian/$(package)-common -type d -empty -delete

override_dh_fixperms:
	dh_fixperms
	# Fix permissions of a couple of example files:
	[ ! -d debian/$(package)-common ] || chmod -x debian/$(package)-common/usr/share/doc/$(package)-common/examples/LED
	[ ! -d debian/$(package)-common ] || chmod -x debian/$(package)-common/usr/share/doc/$(package)-common/examples/LED.NET

override_dh_installexamples:
	dh_installexamples -XMakefile

override_dh_installchangelogs:
	dh_installchangelogs -p$(package)-common

override_dh_installdocs:
	# Only install docs in $(package)-common & link other packages' docs to
	# $(package)-common:
	dh_installdocs --link-doc=$(package)-common

override_dh_compress:
	# exclude example files from compression
	dh_compress -X.pcb -XLED
